import { ComponentPropsWithoutRef, FC } from 'react';
import { IconIds } from '../../molecules/Icon/iconIds';
import { ButtonProps } from '../../molecules/Button';
export interface SelectProps extends Omit<ComponentPropsWithoutRef<'select'>, 'size'> {
    label?: string;
    helperText?: string | false;
    size?: 'sm' | 'md';
    error?: boolean;
    icon?: IconIds;
    button?: ButtonProps;
    options: {
        value: string;
        label: string;
    }[];
}
export declare const Select: FC<SelectProps>;
